diff --git a/web/pgadmin/browser/static/css/wizard.css b/web/pgadmin/browser/static/css/wizard.css
index 214cab2..8d96971 100644
--- a/web/pgadmin/browser/static/css/wizard.css
+++ b/web/pgadmin/browser/static/css/wizard.css
@@ -37,7 +37,7 @@
 .wizard-content {
   position: relative;
   padding: 0;
-  height: calc(100% - 97px);
+  height: calc(100% - 120px);
 }
 
 .wizard-right-panel {
diff --git a/web/pgadmin/browser/static/js/wizard.js b/web/pgadmin/browser/static/js/wizard.js
index f1b805f..a65c71c 100644
--- a/web/pgadmin/browser/static/js/wizard.js
+++ b/web/pgadmin/browser/static/js/wizard.js
@@ -88,8 +88,16 @@ function(_, Backbone, pgAdmin, pgBrowser) {
        + "          </div>"
        + "        </div>"
        + "      </div>"
-       + "      <div class='col-sm-12 error_msg_div'>"
-       + "       <p></p>"
+       + "      <div class='col-sm-12 pg-prop-status-bar' style='visibility:hidden'>"
+       + "        <div class='media error-in-footer bg-red-1 border-red-2 font-red-3 text-14'>"
+       + "          <div class='media-body media-middle'>"
+       + "            <div class='alert-icon error-icon'>"
+       + "              <i class='fa fa-exclamation-triangle' aria-hidden='true'></i>"
+       + "            </div>"
+       + "            <div class='alert-text'>"
+       + "            </div>"
+       + "          </div>"
+       + "        </div>"
        + "      </div>"
        + "      <div class='footer col-sm-12'>"
        + "        <div class='row'>"
diff --git a/web/pgadmin/tools/grant_wizard/static/js/grant_wizard.js b/web/pgadmin/tools/grant_wizard/static/js/grant_wizard.js
index 3de742a..b01c811 100644
--- a/web/pgadmin/tools/grant_wizard/static/js/grant_wizard.js
+++ b/web/pgadmin/tools/grant_wizard/static/js/grant_wizard.js
@@ -278,7 +278,8 @@ define([
                 status bar element and next button is disabled
               */
               onSessionInvalid: function(msg) {
-                $('.error_msg_div p').html(msg).removeClass("hide");
+                $('.pg-prop-status-bar .alert-text').html(msg);
+                $('.pg-prop-status-bar').css("visibility", "visible");
 
                 // Enable disable Next button
                 this.updateButtons(false);
@@ -291,7 +292,8 @@ define([
                 status bar element and next button is disabled
               */
               onSessionValidated: function(sessHasChanged) {
-                $('.error_msg_div p').empty().addClass("hide");
+                $('.pg-prop-status-bar .alert-text').empty();
+                $('.pg-prop-status-bar').css("visibility", "hidden");
 
                 // Enable disable Next button
                 this.updateButtons(sessHasChanged);
